package eu.jovian_hersemeule.dev.squad.squad_composer.data.projections;

import java.time.Instant;

import eu.jovian_hersemeule.dev.squad.squad_composer.data.jpa.SquadEntity;

public class SquadItem {

    private Long id;

    private Long playerId;

    private Instant creationDate;

    private String name;

    private Integer mech1Id;

    private Integer mech2Id;

    private Integer mech3Id;

    public static SquadItem project(final SquadEntity entity) {
        return new SquadItem(entity);
    }

    private SquadItem(final SquadEntity entity) {
        this.id = entity.getId();
        this.name = entity.getName();
        this.playerId = entity.getPlayer().getId();
        this.creationDate = entity.getCreationDate().toInstant();
        this.mech1Id = entity.getMech1Id();
        this.mech2Id = entity.getMech2Id();
        this.mech3Id = entity.getMech3Id();
    }

    public Long getId() {
        return id;
    }

    public Long getPlayerId() {
        return playerId;
    }

    public Instant getCreationDate() {
        return creationDate;
    }

    public String getName() {
        return name;
    }

    public Integer getMech1Id() {
        return mech1Id;
    }

    public Integer getMech2Id() {
        return mech2Id;
    }

    public Integer getMech3Id() {
        return mech3Id;
    }
}
